Name: icinga-generictts
Version: 2.1.0+0.gc66a6f9
Release: 1677279810.el7
Summary: Icinga Web Generic TTS Integration

Group: Productivity/Networking/Web/Frontends

License: GPLv2

URL: https://icinga.com
Source0: icinga-generictts-2.1.0+0.gc66a6f9.tgz

Requires: icinga-generictts-web = 2.1.0+0.gc66a6f9-1677279810.el7

BuildArch: noarch

%description
With the Icinga Web GenericTTS integration, you can replace ticket patterns in acknowledgements,
downtimes, and comments with links to your trouble ticket systems.
To do this, you configure one or more unique regular expressions to link to them.

%package web
Requires: icingaweb2 >= 2.10.3
Summary: Icinga Web Generic TTS Integration web files

%description web
Web files for Icinga Web Generic TTS Integration.

%prep
%autosetup

%install

install -dm 0755 %_topdir/BUILDROOT/icinga-generictts-2.1.0+0.gc66a6f9-1677279810.el7.x86_64/usr/share/icingaweb2/modules/generictts
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %_topdir/BUILDROOT/icinga-generictts-2.1.0+0.gc66a6f9-1677279810.el7.x86_64/usr/share/icingaweb2/modules/generictts \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILDROOT/icinga-generictts-2.1.0+0.gc66a6f9-1677279810.el7.x86_64/usr/share/icingaweb2/modules/generictts \;

%files

%files web
%doc README.md
%docdir /usr/share/icingaweb2/modules/generictts/doc
%license LICENSE
/usr/share/icingaweb2/modules/generictts

%post web
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/generictts /etc/icingaweb2/enabledModules/generictts
fi

%preun web
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/generictts
fi

%changelog
* Fri Feb 24 2023 Icinga GmbH <info@icinga.com> - 2.1.0+0.gc66a6f9-1677279810$RPM_DIST
- Version 2.1.0+0.gc66a6f9-1677279810

